2010-07-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Track api changes.

2010-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Add basic support for git.

2010-06-29  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Track API changes (annotations are now given back as class
	  instead of a custom string).

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificateDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificatePasswordDialog.cs:
	  Fix incorrect use of ShowCustomDialog/RunCustomDialog.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificateDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificatePasswordDialog.cs:
	  More dialog placing.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/LibSvnClient.cs: Get
	  the description of errors reported using an error code.
	  Fixes bug #602762 - No details supplied when svn connection
	  fails.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Split List method into List and ListUrl.

2010-03-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs: Add
	  description for BlameRevision.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.VersionControl.Subversion.addin.xml: Bumped MD
	  version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.VersionControl.Subversion.csproj:
	* MonoDevelop.VersionControl.Subversion.addin.xml:
	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionNodeExtension.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificateDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificatePasswordDialog.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Fix build.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.Subversion.csproj: Moved diff
	  widget and algorithm to MonoDevelop.Components.

2010-02-04  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Add support for revision-range-based recursive diffing.

2010-02-04  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs: Prevent
	  occasional NRE.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.UserPasswordDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.SslServerTrustDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificateDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificatePasswordDialog.cs:
	  Flush.

2009-11-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion.addin.xml: Don't
	  include the linux svn client on windows.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.VersionControl.Subversion.addin.xml: Bump MD
	  version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.VersionControl.Subversion.csproj:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.UserPasswordDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.SslServerTrustDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificateDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificatePasswordDialog.cs:
	  Flush.

2009-10-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion.dll.config: Add
	  correct dll mapping for freebsd.

2009-10-13  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.VersionControl.Subversion.csproj: Import md.targets

2009-10-09  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs: Updated license.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion.addin.xml: Update
	  license.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.VersionControl.Subversion.addin.xml: Bump MD
	  version.

2009-10-06  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Fix #544054: Exception in svn addin.

2009-10-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs: Added
	  missing string to translation.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs:
	  Fix build.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificateDialog.cs: 
	* MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs: 
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificatePasswordDialog.cs: 
	* MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs: Set
	  dialogs transient for the root window.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion.csproj: Updated
	  dependencies. We now depend on gtk# 2.12.8, Mono 2.4, and
	  Mono.Addins 0.4.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic: Flush.

2009-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Properly detect versioned directories. Allow reverting whole
	  directories. All this fixes bug #436282 -
	  solution/project/folders should have 'Revert All' option.

2009-06-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Use correct base path when generating diffs.

2009-06-05  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Unbreak SharpSvn addin build.

2009-06-05  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Implement annotate.

2009-06-01  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	  Track API.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	  Workaround for what seems to be a mcs bug. Looks like it
	  can't properly resolve the implicit conversion of null to
	  string.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion\SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion\SubversionRepository.cs:
	* MonoDevelop.VersionControl.Subversion\SubversionNodeExtension.cs:
	* MonoDevelop.VersionControl.Subversion\SubversionVersionControl.cs:
	  Use the new FilePath class for handling file and directory
	  paths.

2009-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion\SvnClient.cs: Added
	  missing null check.

2009-05-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.Subversion.csproj:
	* MonoDevelop.VersionControl.Subversion/LibApr.cs:
	* MonoDevelop.VersionControl.Subversion.addin.xml:
	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/ISvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SvnRevision.cs:
	* MonoDevelop.VersionControl.Subversion/LibSvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionRepository.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/UserPasswordDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/SslServerTrustDialog.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificateDialog.cs:
	* MonoDevelop.VersionControl.Subversion.Gui/ClientCertificatePasswordDialog.cs:
	  Refactored the subversion add-in to make it easier to
	  implement support for svn using other subversion backends.

2009-04-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.Subversion/SvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/ISvnClient.cs:
	* MonoDevelop.VersionControl.Subversion/SubversionVersionControl.cs:
	  Created ISvnClient. May be required to implement other svn
	  client backends.

	* MonoDevelop.VersionControl.Subversion.csproj: Don't require
	  a specific gtk# version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.VersionControl.Subversion.addin.xml: Bump MD
	  version.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs: fixed
	  typo.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs: Added
	  newline before revision message.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs: worked
	  on messages.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs: Handled
	  commit delta message.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Subversion/SvnClient.cs: Improved
	  subversion notify messages (taken some logic out of the
	  subversion implementation).

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion.addin.xml: Restore
	  accidentally removed menu extension.

2009-02-25  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Flush.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion.addin.xml: Track merge
	  of the project pad context menu.

2009-02-19  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.Subversion.csproj:
	* MonoDevelop.VersionControl.Subversion.dll.config: Add a
	  dllmap for the Mac. Config patch from Kris Ray.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Subversion.csproj: Don't
	  local-copy other addins' dlls.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Subversion.csproj: Flush MD's
	  removal of newline at end of file that was introduced by
	  manually editing with gedit.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Subversion.csproj: Remove invalid
	  ApplicationIcon value that broke the build in VS.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Subversion.mdp:
	* MonoDevelop.VersionControl.Subversion.csproj: Migrated to
	  MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.VersionControl.Subversion.addin.xml: Bump MD
	  version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.UserPasswordDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.SslServerTrustDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificateDialog.cs:
	*
	  gtk-gui/MonoDevelop.VersionControl.Subversion.Gui.ClientCertificatePasswordDialog.cs:
	  Flush.

